SYSTEMD-JOURNAL-UPLOAD.SERVICE(8)

BEZEICHNUNG
systemd-journal-upload.service, systemd-journal-upload - Journal-Meldungen über das Netz verschicken

ÜBERSICHT

systemd-journal-upload.service

/usr/lib/systemd/systemd-journal-upload [OPTIONEN…] [-u/--url=URL] [QUELLEN…]

BESCHREIBUNG

systemd-journal-upload lädt Journal-Einträge zu der mit --url= angegebenen URL hoch. Dieses Programm liest Journal-Einträge aus einer oder mehrerer Journal-Dateien, ähnlich zu journalctl(1). Falls dies nicht durch eine der nachstehenden Optionen eingeschränkt ist, werden alle Journal-Einträge, die von dem Benutzer, unter dessen Kennung das Programm läuft, zugreifbar sind, hochgeladen und das Programm wird warten und neue Einträge senden, wenn sie verfügbar werden.

systemd-journal-upload überträgt den rohen Inhalt einer Journal-Datei und verwendet HTTP als Transportprotokoll.

systemd-journal-upload.service ist ein Systemdienst, der systemd-journal-upload verwendet, um Journal-Einträge zu einem Server hochzuladen. Es verwendet die Konfiguration in journal-upload.conf(5). Es muss mindestens die Option URL= angegeben werden.

OPTIONEN

-u, --url=[https://]URL[:PORT], --url=[http://]URL[:PORT]
    Zu der angegebenen Adresse hochladen. URL kann nur den Rechnernamen oder das Protokoll und den Rechnernamen festlegen. https ist die Vorgabe. Die Portnummer kann nach einem Doppelpunkt (»:«) angegeben werden, andernfalls wird standardmäßig 19532 verwandt.

    Hinzugefügt in Version 239.

--system, --user
    Begrenzt die hochgeladenen Einträge auf Systemdienste und den Kernel oder auf Einträge von Diensten des aktuellen Benutzers. Dies hat die gleiche Bedeutung wie die Optionen --system und --user von journalctl(1). Falls keine davon angegeben ist, werden alle zugreifbaren Einträge hochgeladen.

    Hinzugefügt in Version 239.

-m, --merge
    Einträge von allen verfügbaren Journalen verschachtelt hochladen, einschließlich anderer Maschinen. Dies hat die gleiche Bedeutung wie die Option --merge von journalctl(1).

    Hinzugefügt in Version 239.

--namespace=NAMENSRAUM
    Akzeptiert eine Journal-Namensraumkennzeichnerzeichenkette als Argument. Einträge von dem angegebenen Journal-Namensraum NAMENSRAUM anstatt von dem Vorgabenamensraum hochladen. Dies hat die gleiche Bedeutung wie die Option --namespace= von journalctl(1).

    Hinzugefügt in Version 254.

-D, --directory=VERZ
    Akzeptiert einen Verzeichnispfad als Argument. Einträge von dem angegebenen Journalverzeichnis VERZ anstatt von den Vorgabelaufzeit- und -Systemjournalpfaden hochladen. Dies hat die gleiche Bedeutung wie die Option --directory= von journalctl(1).

    Hinzugefügt in Version 239.

--file=GLOB
    Akzeptiert einen Datei-Glob als Argument. Einträge von den angegebenen Journal-Dateien, die auf GLOB passen, anstatt von den Vorgabelaufzeit- und -Systemjournalpfaden hochladen. Kann mehrfach angegeben werden, dann werden Dateien geeignet verschachtelt. Dies hat die gleiche Bedeutung wie die Option --file= von journalctl(1).

    Hinzugefügt in Version 239.

--cursor=
    Einträge von dem durch den übergebenen Cursor festgelegten Ort aus dem Journal hochladen. Dies hat die gleiche Bedeutung wie die Option --cursor= von journalctl(1).

    Hinzugefügt in Version 239.

--after-cursor=
    Einträge von dem Ort in dem Journal hochladen, der sich nach dem durch diesen Cursor festgelegten Ort befindet. Dies hat die gleiche Bedeutung wie die Option --after-cursor= von journalctl(1).

    Hinzugefügt in Version 239.

--save-state[=PFAD]
    Einträge von dem Ort in dem Journal hochladen, der sich nach dem unter PFAD (standardmäßig /var/lib/systemd/journal-upload/state) in der Datei gespeicherten Cursor befindet. Nachdem ein Eintrag erfolgreich hochgeladen wurde, wird diese Datei mit dem Cursor von diesem Eintrag aktualisiert.

    Hinzugefügt in Version 239.

--follow[=LOG]
    Falls auf »yes« gesetzt wartet systemd-journal-upload auf Eingabe.

    Hinzugefügt in Version 239.

--key=
    Akzeptiert einen Pfad zu einer Schlüsseldatei im PEM-Format oder -. Falls - gesetzt ist, wird die Client-Zertifikatsauthentifizierung deaktiviert. Standardmäßig /etc/ssl/private/journal-upload.pem.

    Hinzugefügt in Version 239.

--cert=
    Akzeptiert einen Pfad zu einer SSL-Zertifikatsdatei im PEM-Format oder -. Falls - gesetzt ist, wird die Client-Zertifikatsauthentifizierung deaktiviert. Standardmäßig /etc/ssl/certs/journal-upload.pem.

    Hinzugefügt in Version 239.

--trust=
    Akzeptiert einen Pfad zu einer SSL-CA-Zertifikatsdatei im PEM-Format oder -/all. Falls -/all gesetzt ist, wird die Zertifikatsprüfung deaktiviert. Standardmäßig /etc/ssl/ca/trusted.pem.

    Hinzugefügt in Version 239.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

EXIT-STATUS

Im Erfolgsfall wird 0 zurückgeliefert; andernfalls wird ein von Null verschiedener Code zurückgeliefert.

BEISPIELE

Beispiel 1. Einrichten von Zertifikaten für die Authentifizierung

Zertifikate, die von einer vertrauenswürdigen Autorität signiert sind, werden dazu verwandt, zu überprüfen, dass der Server, an den Meldungen hochgeladen werden, vertrauenswürdig ist und andersherum, dass dem Client vertraut wird.

Ein geeigneter Satz an Zertifikaten kann mit openssl erstellt werden. Beachten Sie, dass 2048 Bit an Schlüssellänge aus Sicherheitsgründen die minimale empfohlene Länge ist:

    openssl req -newkey rsa:2048 -days 3650 -x509 -nodes \
          -out ca.pem -keyout ca.key -subj '/CN=Zertifizierungsstelle/'

    cat >ca.conf <<EOF
    [ ca ]
    default_ca = this

    [ this ]
    new_certs_dir = .
    certificate = ca.pem
    database = ./index
    private_key = ca.key
    serial = ./serial
    default_days = 3650
    default_md = default
    policy = policy_anything

    [ policy_anything ]
    countryName             = optional
    stateOrProvinceName     = optional
    localityName            = optional
    organizationName        = optional
    organizationalUnitName  = optional
    commonName              = supplied
    emailAddress            = optional
    EOF

    touch index
    echo 0001 >serial

    SERVER=server
    CLIENT=client

    openssl req -newkey rsa:2048 -nodes -out $SERVER.csr -keyout $SERVER.key -subj "/CN=$SERVER/"
    openssl ca -batch -config ca.conf -notext -in $SERVER.csr -out $SERVER.pem

    openssl req -newkey rsa:2048 -nodes -out $CLIENT.csr -keyout $CLIENT.key -subj "/CN=$CLIENT/"
    openssl ca -batch -config ca.conf -notext -in $CLIENT.csr -out $CLIENT.pem

Erstellte Dateien ca.pem, server.pem und server.key sollten auf dem Server installiert werden und ca.pem, client.pem und client.key auf dem Client. Der Ort dieser Dateien kann mittels TrustedCertificateFile=, ServerCertificateFile= und ServerKeyFile= in /etc/systemd/journal-remote.conf bzw. /etc/systemd/journal-upload festgelegt werden. Der Standardort kann mittels systemd-journal-remote --help und systemd-journal-upload --help abgefragt werden.

SIEHE AUCH

journal-upload.conf(5), systemd-journal-remote.service(8), journalctl(1), systemd-journald.service(8), systemd-journal-gatewayd.service(8)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.